Bug 523826 - FEAT: continue the breakdown of tests into their logical components
Summary: FEAT: continue the breakdown of tests into their logical components
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 1.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact: Lawrence Lim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 19:22 UTC by Rob Landry
Modified: 2014-03-26 01:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-27 01:31:11 UTC


Attachments (Terms of Use)

Description Rob Landry 2009-09-16 19:22:49 UTC
Description of problem:

Most of the tests are combinations of individual tests; for example suspend is actually oscontrol suspend, oscontrol hibernate, fn+key suspend and fn+key hibernate.  On systems without an fn+key hibernate this test will always fail but it's a false failure because it should never have been a requirement.

The request is to break down these tests into their individual schedulable components as outlined here: 

https://engineering.redhat.com/trac/hwcert/wiki/TestList

The exact details of how exactly are still open and will be mimicked on the catalog, the last breakdown was splitting out dvd from cdrom, which allowed for bluray to be added, however this may not be the ideal example, perhaps dvd with a operand of rw is more appropriate than a full dvd-rw vs. dvd-rom test listing?


Note You need to log in before you can comment on or make changes to this bug.